#include "sensor.h"

Sensor::Sensor() :ballsensor() {
	//ballsensor = new Ballsensor;
}
Sensor::~Sensor() {
}

// Aktualisiert die ganzen Sachen ;)
void Sensor::Aktualisieren() {
	position.Aktualisieren(); // Aktualisiere die Position
	ballsensor.Aktualisieren(); // Aktualisiere den Ballwinkel
	abstand.Aktualisieren(); // Aktualsiere die abstandsdaten
}

// Gebe die aktuelle Ausrichtung zurück
int Sensor::GetAusrichtung() {
	return position.GetAusrichtung();
}
